orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h File Reference.TH "orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h \- The Open MPI general purpose registry - support functions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'mca/gpr/replica/gpr_replica.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_create_itag_fn_t\fP )(orte_gpr_replica_itag_t *itag, \fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.RI "\fITypedef of the \fBorte_gpr_replica_create_itag()\fP function signature so that it can be invoked via a function pointer for a unit test. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_delete_itag_fn_t\fP )(\fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.RI "\fITypedef of the \fBorte_gpr_replica_delete_itag()\fP function signature so that it can be invoked via a function pointer for a unit test. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_dict_lookup_fn_t\fP )(orte_gpr_replica_itag_t *itag, \fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.RI "\fITypedef of the orte_gpr_replica_dict_lookup() function signature so that it can be invoked via a function pointer for a unit test. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_dict_reverse_lookup_fn_t\fP )(char **name, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t itag)"
.br
.RI "\fITypedef of the orte_gpr_replica_dict_reverse_lookup() function signature so that it can be invoked via a function pointer for a unit test. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_get_itag_list_fn_t\fP )(orte_gpr_replica_itag_t **itaglist, \fBorte_gpr_replica_segment_t\fP *seg, char **names, size_t *num_names)"
.br
.RI "\fITypedef of the orte_gpr_replica_get_itag_list() function signature so that it can be invoked via a function pointer for a unit test. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_replica_find_seg_fn_t\fP )(\fBorte_gpr_replica_segment_t\fP **seg, bool create, char *segment)"
.br
.RI "\fITypedef of the \fBorte_gpr_replica_find_seg()\fP function signature so that it can be invoked via a function pointer for a unit test. \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_create_itag\fP (orte_gpr_replica_itag_t *itag, \fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.RI "\fIAdd a name to a segment's dictionary. \fP"
.ti -1c
.RI "int \fBorte_gpr_replica_delete_itag\fP (\fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.RI "\fIDelete a name from a segment's dictionary. \fP"
.ti -1c
.RI "int \fBorte_gpr_replica_dict_lookup\fP (orte_gpr_replica_itag_t *itag, \fBorte_gpr_replica_segment_t\fP *seg, char *name)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dict_reverse_lookup\fP (char **name, \fBorte_gpr_replica_segment_t\fP *seg, orte_gpr_replica_itag_t itag)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_get_itag_list\fP (orte_gpr_replica_itag_t **itaglist, \fBorte_gpr_replica_segment_t\fP *seg, char **names, size_t *num_names)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_find_seg\fP (\fBorte_gpr_replica_segment_t\fP **seg, bool create, char *segment)"
.br
.RI "\fIFind a requested registry segment. \fP"
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - support functions. 


.SH "Function Documentation"
.PP 
.SS "int orte_gpr_replica_create_itag (orte_gpr_replica_itag_t * itag, \fBorte_gpr_replica_segment_t\fP * seg, char * name)"
.PP
Add a name to a segment's dictionary. 
.PP
This function allows the addition of a new definition to the registry's dictionaries. The specified string is assigned an integer value within the specified segment, and the entry is added to the segment's token-itag dictionary.
.PP
\fBParameters:\fP
.RS 4
\fI*seg\fP Pointer to the segment of the registry. 
.br
\fIname\fP Pointer to a character string containing the string to be defined.
.br
\fI*itag\fP (OUT) orte_gpr_replica_itag_t value of corresponding name.
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP Operation successful 
.br
\fIORTE_ERROR(s)\fP Indicates that the dictionary is full or some other error. 
.RE
.PP

.SS "int orte_gpr_replica_delete_itag (\fBorte_gpr_replica_segment_t\fP * seg, char * name)"
.PP
Delete a name from a segment's dictionary. 
.PP
This function allows the removal of a definition from the registry's dictionaries. This should be used with caution! Deletion of a name causes the registry to search through all entries within that segment for entries that include the specified name in their description. The reference is subsequently removed, and any entry for which this was the SOLE descriptor will also be removed from the registry!
.PP
\fBParameters:\fP
.RS 4
\fI*seg\fP Pointer to the segment of the registry. 
.br
\fIname\fP Pointer to a character string containing the name to be deleted.
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP Indicating that the operation was successful. 
.br
\fIORTE_ERROR\fP Indicates that the operation failed - most likely caused by specifying a name that did not exist within the specified segment, or a non-existent segment. 
.RE
.PP

.SS "int orte_gpr_replica_find_seg (\fBorte_gpr_replica_segment_t\fP ** seg, bool create, char * segment)"
.PP
Find a requested registry segment. 
.PP
The function finds the registry segment corresponding to the specified name.
.PP
\fBParameters:\fP
.RS 4
\fI*seg\fP (OUT) Pointer to the segment 
.br
\fIcreate\fP (IN) A boolean that indicates whether or not to create the segment if it doesn't already exist. TRUE => create it, FALSE => don't create it. 
.br
\fIsegment\fP (IN) Pointer to a string containing the name of the segment to be found.
.RE
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP Operation successful 
.br
\fIORTE_ERROR(s)\fP Appropriate error code returned 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
